#ifndef _lcd_drv_h_
#define _lcd_drv_h_

// --------------------------------------------------------
// LCD 4Bit parallel

#define	LCD_D4		2
#define	LCD_D4_DDR	DDRC
#define	LCD_D4_PORT PORTC

#define	LCD_D5		3
#define	LCD_D5_DDR	DDRC
#define	LCD_D5_PORT	PORTC

#define	LCD_D6		4
#define	LCD_D6_DDR	DDRC
#define	LCD_D6_PORT	PORTC

#define	LCD_D7		5
#define	LCD_D7_DDR	DDRC
#define	LCD_D7_PORT	PORTC

#define	LCD_RS		0
#define	LCD_RS_DDR	DDRC
#define	LCD_RS_PORT	PORTC

#define	LCD_E		1
#define	LCD_E_DDR	DDRC
#define	LCD_E_PORT	PORTC

// Definitions for display modes and functions
#define LCD_CMD_MODE  0
#define LCD_DATA_MODE 1
#define LCD_CLR 1
#define LCD_HOME 2
#define LCD_DISP_ON 0x0C
#define LCD_FUNCTION_4BIT_1LINE 0x20
#define LCD_FUNCTION_4BIT_2LINES 0x28
#define LCD_FUNCTION_8BIT_1LINE 0x30
#define LCD_FUNCTION_8BIT_2LINES 0x38

void lcd_command( uint8_t d );
void lcd_data( uint8_t d );
void lcd_pos( uint8_t line, uint8_t column );
void lcd_text( char *t );
void lcd_text_pgm(const char *progmem_string);
void lcd_uint(uint16_t bin , uint8_t digit , uint8_t dez, uint8_t space );
void lcd_init( void );

#endif
